Bug 323614 - Amarok crashes on shuffle keyboard shortcut
Summary: Amarok crashes on shuffle keyboard shortcut
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Shortcuts (show other bugs)
Version: 2.8.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL:
Keywords: drkonqi
: 323666 330418 334122 349141 356386 360600 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-16 21:41 UTC by Christian (Fuchs)
Modified: 2016-03-16 19:34 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian (Fuchs) 2013-08-16 21:41:36 UTC
Application: amarok (2.8.0)
KDE Platform Version: 4.11.00 (Compiled from sources)
Qt Version: 4.8.5
Operating System: Linux 3.10.6-gentoo x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

Pressing the shuffle keyboard shortcut  (default: Control + H)

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdbecf657c0 (LWP 16729))]

Thread 15 (Thread 0x7fdbcc554700 (LWP 16799)):
#0  0x00007fdbe9cb6d2d in poll () from /lib64/libc.so.6
#1  0x00007fdbe1269bbf in poll_func () from /usr/lib64/libpulse.so.0
#2  0x00007fdbe125b0dc in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007fdbe125b739 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fdbe125b7f0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fdbe1269b6f in thread () from /usr/lib64/libpulse.so.0
#6  0x00007fdbdd21c153 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-4.0.so
#7  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#8  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fdbc8b72700 (LWP 16808)):
#0  0x00007fdbe7e250ce in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007fdbea306f87 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbebf985c5 in AbstractDirectoryWatcher::run() () from /usr/lib64/libamaroklib.so.1
#3  0x00007fdbe6f227fa in ThreadWeaver::JobRunHelper::runTheJob(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f22971 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbe6f220fb in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#8  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fdbbe7c4700 (LWP 16809)):
#0  0x00007fdbe9cb6d2d in poll () from /lib64/libc.so.6
#1  0x00007fdbe493e32c in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fdbe493e454 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fdbea42fba6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007fdbea4004df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007fdbea400768 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007fdbea304350 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fdbea3e224f in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#10 0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fdbbdb55700 (LWP 16822)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#8  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fdbbc924700 (LWP 16836)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#7  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fdbaffff700 (LWP 16837)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#9  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fdbaf7fe700 (LWP 16838)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#7  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fdbaebcc700 (LWP 16842)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#8  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fdbae1a3700 (LWP 16843)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbe6f23304 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#9  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fdbad786700 (LWP 16844)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbea30702b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbe6f20a71 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fdbe6f232eb in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fdbe6f2205f in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#7  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fdb97fff700 (LWP 16845)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbe065492d in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007fdbe0654a39 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#4  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fdb977fe700 (LWP 16846)):
#0  0x00007fdbe9cb6d2d in poll () from /lib64/libc.so.6
#1  0x00007fdbe493e32c in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fdbe493e454 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fdbea42fba6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007fdbea4004df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007fdbea400768 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007fdbea304350 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#9  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fdb96ffd700 (LWP 16854)):
#0  0x00007fdbe9cb9413 in select () from /lib64/libc.so.6
#1  0x00007fdbea3e04e2 in QProcessManager::run() () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fdbea306acc in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#4  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fdb967fc700 (LWP 16877)):
#0  0x00007fdbe7e24cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fdbe5f2de37 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtScript.so.4
#2  0x00007fdbe5f2de69 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtScript.so.4
#3  0x00007fdbe7e20f3a in start_thread () from /lib64/libpthread.so.0
#4  0x00007fdbe9cc09ad in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fdbecf657c0 (LWP 16729)):
[KCrash Handler]
#5  0x00007fdbec93fec5 in KIconEngine::KIconEngine(QString const&, KIconLoader*) () from /usr/lib64/libkdeui.so.5
#6  0x00007fdbec940811 in KIcon::KIcon(QString const&) () from /usr/lib64/libkdeui.so.5
#7  0x00007fdbebe3b983 in Playlist::BreadcrumbLevel::BreadcrumbLevel(QString) () from /usr/lib64/libamaroklib.so.1
#8  0x00007fdbebe4fc88 in Playlist::SortWidget::addLevel(QString, Qt::SortOrder) () from /usr/lib64/libamaroklib.so.1
#9  0x00007fdbec063be6 in MainWindow::slotShufflePlaylist() () from /usr/lib64/libamaroklib.so.1
#10 0x00007fdbec06bc3a in MainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/libamaroklib.so.1
#11 0x00007fdbea415b04 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x00007fdbeae0a4b2 in QAction::triggered(bool) () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007fdbeae0b8e0 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/qt4/libQtGui.so.4
#14 0x00007fdbeae0ba27 in QAction::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#15 0x00007fdbec8b9c87 in KAction::event(QEvent*) () from /usr/lib64/libkdeui.so.5
#16 0x00007fdbeae109ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#17 0x00007fdbeae13332 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#18 0x00007fdbec9957d6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#19 0x00007fdbea40182e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#20 0x00007fdbeae43864 in QShortcutMap::dispatchEvent(QKeyEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#21 0x00007fdbeae43cc3 in QShortcutMap::tryShortcutEvent(QObject*, QKeyEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#22 0x00007fdbeae14e7f in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#23 0x00007fdbec9957d6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#24 0x00007fdbea40182e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#25 0x00007fdbeaeae9f9 in QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) () from /usr/lib64/qt4/libQtGui.so.4
#26 0x00007fdbeaeaedfa in QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) () from /usr/lib64/qt4/libQtGui.so.4
#27 0x00007fdbeae88328 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#28 0x00007fdbeaeb140a in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/qt4/libQtGui.so.4
#29 0x00007fdbe493e055 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#30 0x00007fdbe493e398 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#31 0x00007fdbe493e454 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fdbea42fb86 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#33 0x00007fdbeaeb14de in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtGui.so.4
#34 0x00007fdbea4004df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#35 0x00007fdbea400768 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#36 0x00007fdbea4059c8 in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#37 0x0000000000407cd2 in main ()

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-08-16 21:55:05 UTC
Reproducible indeed, here goes a better backtrace with actual debugging symbols: 

Thread 1 (Thread 0x7f69fb88d7c0 (LWP 14787)):
[KCrash Handler]
#6  0x00007f69f6dc6037 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f69f6dc9698 in __GI_abort () at abort.c:90
#8  0x00007f69f79e65c2 in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=0x4982e08 "ASSERT failure in QList<T>::at: \"index out of range\", file /usr/include/qt4/QtCore/qlist.h, line 469") at global/qglobal.cpp:2347
#9  0x00007f69f79e6938 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, msg=0x7f69f7b50518 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=ap@entry=0x7fff611ae8b8) at global/qglobal.cpp:2393
#10 0x00007f69f79e6ac4 in qFatal (msg=<optimized out>) at global/qglobal.cpp:2576
#11 0x00007f69fa76ece7 in at (i=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:469
#12 iconName (c=<optimized out>) at /home/myriam/kde/src/amarok/src/playlist/PlaylistDefines.h:135
#13 Playlist::BreadcrumbLevel::BreadcrumbLevel (this=<optimized out>, internalColumnName=...) at /home/myriam/kde/src/amarok/src/playlist/PlaylistBreadcrumbLevel.cpp:31
#14 0x00007f69fa784e90 in Playlist::SortWidget::addLevel (this=0x3fb98e0, internalColumnName=..., sortOrder=Qt::AscendingOrder) at /home/myriam/kde/src/amarok/src/playlist/PlaylistSortWidget.cpp:98
#15 0x00007f69fa9944cb in MainWindow::slotShufflePlaylist (this=<optimized out>) at /home/myriam/kde/src/amarok/src/MainWindow.cpp:663
#16 0x00007f69fa996226 in MainWindow::qt_static_metacall (_o=0x1bc1470, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /home/myriam/kde/build/amarok/src/MainWindow.moc:155
#17 0x00007f69f7b020ef in QMetaObject::activate (sender=sender@entry=0x2ca4d00, m=m@entry=0x7f69f944a7a0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff611aecf0) at kernel/qobject.cpp:3539
#18 0x00007f69f89a2152 in QAction::triggered (this=this@entry=0x2ca4d00, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#19 0x00007f69f89a3580 in QAction::activate (this=0x2ca4d00, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#20 0x00007f69f89a36e7 in QAction::event (this=<optimized out>, e=e@entry=0x7fff611af290) at kernel/qaction.cpp:1183
#21 0x00007f69fb1e0fc7 in KAction::event (this=<optimized out>, event=0x7fff611af290) at ../../kdeui/actions/kaction.cpp:131
#22 0x00007f69f89a88ec in QApplicationPrivate::notify_helper (this=this@entry=0x1545c30, receiver=receiver@entry=0x2ca4d00, e=e@entry=0x7fff611af290) at kernel/qapplication.cpp:4567
#23 0x00007f69f89ab25b in QApplication::notify (this=this@entry=0x7fff611b06c8, receiver=receiver@entry=0x2ca4d00, e=e@entry=0x7fff611af290) at kernel/qapplication.cpp:4428
#24 0x00007f69fb2bc916 in KApplication::notify (this=0x7fff611b06c8, receiver=0x2ca4d00, event=0x7fff611af290) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x00007f69f7aed63e in QCoreApplication::notifyInternal (this=0x7fff611b06c8, receiver=0x2ca4d00, event=event@entry=0x7fff611af290) at kernel/qcoreapplication.cpp:946
#26 0x00007f69f89db754 in sendEvent (event=0x7fff611af290, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QShortcutMap::dispatchEvent (this=this@entry=0x1545d50, e=e@entry=0x7fff611af860) at kernel/qshortcutmap.cpp:884
#28 0x00007f69f89dbbb3 in QShortcutMap::tryShortcutEvent (this=0x1545d50, o=o@entry=0x3fdfa20, e=e@entry=0x7fff611af860) at kernel/qshortcutmap.cpp:364
#29 0x00007f69f89acdd0 in QApplication::notify (this=this@entry=0x7fff611b06c8, receiver=receiver@entry=0x3fdfa20, e=e@entry=0x7fff611af860) at kernel/qapplication.cpp:3991
#30 0x00007f69fb2bc916 in KApplication::notify (this=0x7fff611b06c8, receiver=0x3fdfa20, event=0x7fff611af860) at ../../kdeui/kernel/kapplication.cpp:311
#31 0x00007f69f7aed63e in QCoreApplication::notifyInternal (this=0x7fff611b06c8, receiver=receiver@entry=0x3fdfa20, event=0x7fff611af860, event@entry=0x7fff611af710) at kernel/qcoreapplication.cpp:946
#32 0x00007f69f89a7226 in sendSpontaneousEvent (event=event@entry=0x7fff611af710, receiver=receiver@entry=0x3fdfa20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#33 qt_sendSpontaneousEvent (receiver=receiver@entry=0x3fdfa20, event=event@entry=0x7fff611af860) at kernel/qapplication.cpp:5565
#34 0x00007f69f8a4b5d9 in QKeyMapper::sendKeyEvent (keyWidget=keyWidget@entry=0x3fdfa20, grab=grab@entry=false, type=QEvent::KeyPress, code=72, modifiers=..., text=..., autorepeat=autorepeat@entry=false, count=1, nativeScanCode=43, nativeVirtualKey=104, nativeModifiers=20) at kernel/qkeymapper_x11.cpp:1866
#35 0x00007f69f8a4ba11 in QKeyMapperPrivate::translateKeyEvent (this=0x159c540, keyWidget=keyWidget@entry=0x3fdfa20, event=event@entry=0x7fff611b0290, grab=grab@entry=false) at kernel/qkeymapper_x11.cpp:1836
#36 0x00007f69f8a227e9 in QApplication::x11ProcessEvent (this=0x7fff611b06c8, event=event@entry=0x7fff611b0290) at kernel/qapplication_x11.cpp:3639
#37 0x00007f69f8a4e042 in x11EventSourceDispatch (s=0x15489f0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#38 0x00007f69ef903f05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f69ef904248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007f69ef904304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x00007f69f7b1c016 in QEventDispatcherGlib::processEvents (this=0x1544fd0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#42 0x00007f69f8a4e13e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x00007f69f7aec38f in QEventLoop::processEvents (this=this@entry=0x7fff611b0660, flags=...) at kernel/qeventloop.cpp:149
#44 0x00007f69f7aec618 in QEventLoop::exec (this=this@entry=0x7fff611b0660, flags=...) at kernel/qeventloop.cpp:204
#45 0x00007f69f7af1cf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#46 0x000000000040dd89 in main (argc=3, argv=0x7fff611b1a38) at /home/myriam/kde/src/amarok/src/main.cpp:329
Comment 2 vedant agarwala 2013-08-17 08:07:38 UTC
Shall I start work on this?

I am able to reproduce it too.

-Vedant.


On Sat, Aug 17, 2013 at 3:25 AM, Myriam Schweingruber <myriam@kde.org>wrote:

> https://bugs.kde.org/show_bug.cgi?id=323614
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>           Component|general                     |Shortcuts
>
> --
> You are receiving this mail because:
> You are the assignee for the bug.
> _______________________________________________
> Amarok-bugs-dist mailing list
> Amarok-bugs-dist@kde.org
> https://mail.kde.org/mailman/listinfo/amarok-bugs-dist
>
Comment 3 Mark Kretschmann 2013-08-17 09:36:40 UTC
Yes, if you like :)
Comment 4 Matěj Laitl 2013-08-17 12:48:23 UTC
Konrad, doesn't this have something to do with Shuffle action change? I'd bet.
Comment 5 Konrad Zemek 2013-08-17 13:24:33 UTC
Git commit 2f42e4687d5dd277d0e39f012c49496f6e9631c8 by Konrad Zemek.
Committed on 17/08/2013 at 13:23.
Pushed by kzemek into branch 'master'.

Get rid of last traces of Shuffle sort level

M  +1    -1    src/MainWindow.cpp
M  +30   -26   src/playlist/PlaylistSortWidget.cpp
M  +12   -7    src/playlist/PlaylistSortWidget.h
M  +7    -27   src/playlist/PlaylistViewUrlRunner.cpp

http://commits.kde.org/amarok/2f42e4687d5dd277d0e39f012c49496f6e9631c8
Comment 6 Christian (Fuchs) 2013-08-17 19:54:08 UTC
Fixed in current git indeed, thanks for the quick response. 

It would be great if this would make it to the distributions now :) 

Keep up the good work, kind regards
Comment 7 Kyrylo Bohdanenko 2013-08-18 09:05:33 UTC
*** Bug 323666 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2014-01-27 12:21:22 UTC
*** Bug 330418 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2014-08-10 21:41:34 UTC
*** Bug 334122 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2015-06-15 23:21:10 UTC
*** Bug 349141 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2015-12-10 06:40:32 UTC
*** Bug 356386 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2016-03-16 19:34:39 UTC
*** Bug 360600 has been marked as a duplicate of this bug. ***